using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability375.Domain;

public class TaobaoTbkTpwdCreateMapData
{

    /*
        非苹果ios14以上版本的设备（即其他ios版本、Android系统等），可以用此淘口令正常在复制到手淘打开
    */
    private string? passwordSimple;


    /*
        针对苹果ios14及以上版本的苹果设备，手淘将按照示例值信息格式读取淘口令(需包含：数字+羊角符+url，识别规则可能根据ios情况变更)。如需更改淘口令内文案、url等内容，请务必先验证更改后的淘口令在手淘可被识别打开！
    */
    private string? model;



    [JsonPropertyName("password_simple")]
    public string? PasswordSimple
    {
        get => passwordSimple;
        set => this.passwordSimple = value;
    }

    [JsonPropertyName("model")]
    public string? Model
    {
        get => model;
        set => this.model = value;
    }

}

